<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Clientes</title>
    <link href="/assets/css/bootstrap.css" rel="stylesheet" type="text/css" />
    <link href="/assets/css/estilos_vista.css" rel="stylesheet" type="text/css">
    <link>

</head>

<body >
    <div class="m-2">
        <div class="div_titulo">

            <h1 class="titulo"> Clientes </h1>
        </div>

        <table class="table table-striped" id="mytable">
            <thead>
                <tr>
                    <th class="id_cliente"> ID</th>
                    <th> Nombre </th>
                    {{!-- <th> Apellido </th> --}}
                    <th> Telefono </th>
                    <th> Opciones </th>
                </tr>
            </thead>
            <tbody>
                {{#each results}}
                <tr>
                    <td class="id_cliente"> {{ id_cliente}}</td>
                    <td> {{ nombre}} {{apellido}}</td>
                    {{!-- <td> {{ apellido}}</td> --}}
                    <td> {{ telefono}}</td>
                    <td>

                        <a href="javascript:void(0)" class="btn btn-info edit btn_editar "
                            data-id_cliente="{{ id_cliente}}" data-nombre="{{ nombre}}" data-apellido="{{ apellido}}"
                            data-telefono="{{ telefono}}">

                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                class="bi bi-pencil" viewBox="0 0 16 16">
                                <path
                                    d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z" />
                            </svg>
                        </a>


                        <a href="javascript:void(0)" class="btn btn-danger delete btn_borrar "
                            data-id_cliente="{{ id_cliente}}" data-nombre="{{ nombre}}" data-apellido="{{ apellido}}">
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor"
                                class="bi bi-trash" viewBox="0 0 16 16">
                                <path
                                    d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z" />
                                <path fill-rule="evenodd"
                                    d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z" />
                            </svg>
                        </a>
                    </td>

                </tr>

                {{/each}}


            </tbody>
        </table>
        <button class="btn btn-success btn_agregar" data-toggle="modal" data-target="#AgregarModal">Agregar</button>
    </div>



    <form action="/agregar" method="post">
        <div class="modal fade" id="AgregarModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Añadir cliente nuevo</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="nombre" class="form-control" placeholder="nombre" required="true"
                                maxlength="40" minlength="2">
                        </div>

                        <div class="form-group">
                            <input type="text" name="apellido" class="form-control" placeholder="apellido"
                                maxlength="40" minlength="2" required="true">
                        </div>

                        <div class="form-group">
                            <input type="text" name="telefono" class="form-control" placeholder="telefono" minlength="2"
                                maxlength="60" required="true">
                        </div>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </div>
                </div>
            </div>
        </div>
    </form>


    <form action="/editar" method="post">
        <div class="modal " id="EditModal" tabindex="-1" role="dialog"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel"> Editar cliente </h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <div class="form-group">
                            <input type="text" name="nombre" class=" form-control nombre" placeholder="Nombre"
                                required="true" maxlength="40" minlength="2">
                        </div>
                        <div class="form-group">
                            <input type="text" name="apellido" class=" form-control apellido" placeholder="apellido"
                                maxlength="40" minlength="2" required="true">
                        </div>
                        <div class="form-group">
                            <input type="text" name="telefono" class=" form-control telefono" placeholder="telefono"
                                maxlength="40" minlength="2" required="true">
                        </div>
                        <div class="modal-footer">
                            <input type="hidden" name="id_cliente" class="id_cliente">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                            <button type="submit" class="btn btn-primary">Actualizar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>

    <form action="/borrar" method="post">
        <div class="modal fade" id="DeleteModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
            aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title nombre2" id="exampleModalLabel"> </h5>


                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body">
                        <h2>¿Esta seguro?</h2>
                        <div class="modal-footer">
                            <input type="hidden" name="id_cliente" class="id_cliente2">
                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
                            <button type="submit" class="btn btn-primary">Borrar</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>





    <script src="/assets/js/jquery-3.3.1.js"></script>
    <script src="/assets/js/bootstrap.js"></script>

    <script>
        $(document).ready(function () {
            $('#mytable').on('click', '.edit', function () {
                let id_cliente = $(this).data('id_cliente');
                let nombre = $(this).data('nombre');
                let apellido = $(this).data('apellido');
                let telefono = $(this).data('telefono');
                $('#EditModal').modal('show');
                $('.nombre').val(nombre);
                $('.apellido').val(apellido);
                $('.telefono').val(telefono);
                $('.id_cliente').val(id_cliente);
            })
        })
    </script>
    <script>

        $(document).ready(function () {
            $('#mytable').on('click', '.delete', function () {
                let id_cliente = $(this).data('id_cliente');
                let nombre = $(this).data('nombre');
                let apellido = $(this).data('apellido');
                $('#DeleteModal').modal('show');
                $('.id_cliente2').val(id_cliente);
                $('.nombre2').text('Borrar al cliente ' + nombre + ' ' + apellido);
                $('.apellido2').val(apellido);

            })
        })
    </script>

</body>

</html>